WSLAY_EVENT_WANT_READ(3)

NAME
wslay_event_want_read - Tell whether the library wants to read more data

SYNOPSIS

#include <wslay/wslay.h>

int wslay_event_want_read(wslay_event_context_ptr ctx)

DESCRIPTION

wslay_event_want_read() is used to know whether the library want to read more data from peer.

This is useful to decide whether to wait for read event in I/O event notification functions such as select(2) and poll(2).

RETURN VALUE

wslay_event_want_read() returns 1 if the library want to read more data from peer, or returns 0.

SEE ALSO

wslay_event_want_write(), wslay_event_shutdown_read(), wslay_event_get_read_enabled()

AUTHOR
Tatsuhiro Tsujikawa

COPYRIGHT
2012, 2015, Tatsuhiro Tsujikawa